
/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: carol@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: SmartServerException.java 1659 2008-03-07 17:46:48Z loris $
 * --------------------------------------------------------------------------
 */

package org.ow2.cmi.smart.server;

/**
 * Exception thrown if there is a failure quand start Smart EndPoint.
 * @author new CMI Team
 */

public class SmartServerException extends Exception{

    /**
     * Id for serializable class.
     */
    private static final long serialVersionUID = -9112455129163907057L;

    /**
     * Constructs a start Smart EndPoint exception with <code>null</code> as
     * its detail message.
     */
    public SmartServerException(){
    }

     /**
     * Constructs a new runtime exception with the specified detail message.
     * @param message the detail message.
     */
    public SmartServerException(final String message) {
        super(message);
    }

    /**
     * Constructs a new runtime exception with the specified detail message and cause.
     * @param message the detail message
     * @param cause the cause
     */
    public SmartServerException(final String message, final Throwable cause) {
        super(message, cause);
    }
}

